Page MenuHomePhabricator

New translation button should feature '+' icon with thicker stroke width
Closed, ResolvedPublic

Description

Currently, “New translation“ button features an SVG “+” icon with only 1px stroke width.

It should be considered to use a similar one to OOUI's “add” icon from interactions pack.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterMake plus icon of New translation button thicker

Event Timeline

Volker_E created this task.Aug 16 2017, 6:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2017, 6:12 PM
Volker_E updated the task description. (Show Details)Aug 16 2017, 6:12 PM

Assigning to @Pginer-WMF for confirmation…

Thanks for pointing to this, @Volker_E. There are a couple of issues with the icon n the button:

  • The shape is too small due to the margin inside the icon.
  • The icon is not vertically aligned with the label.

I created a version of the icon that should work better in this context:

It follows the new canvas size spec, so future updates of the icons should be easier.

Pginer-WMF removed Pginer-WMF as the assignee of this task.Aug 17 2017, 7:54 AM

Change 373504 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Make plus icon of New translation button thicker

https://gerrit.wikimedia.org/r/373504

Change 373504 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make plus icon of New translation button thicker

https://gerrit.wikimedia.org/r/373504

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 10:36 AM
jeblad removed a subscriber: jeblad.Aug 25 2017, 9:26 PM

Checked in cx-testing and betalabs:
After the fix:

Etonkovidova closed this task as Resolved.Aug 28 2017, 10:47 PM